﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Analyze8EX
{
    static class Utilities
    {
        public static int GetLEInteger(byte[] data, int offset, int count)
        {
            var ret = 0;

            for (int i = count - 1; i >= 0; i--)
            {
                ret = ret << 8;
                ret |= data[offset + i];
            }

            return ret;
        }

        public static byte[] GetLEArray(int value, int size)
        {
            var ret = new byte[size];
            int offset = 0;

            while (value > 0)
            {
                ret[offset] = (byte)(value & 0xFF);
                value = value >> 8;
                offset++;
            }

            return ret;
        }

        public static int GetBEInteger(byte[] data, int offset, int count)
        {
            var ret = 0;

            for (int i = 0; i < count; i++)
            {
                ret = ret << 8;
                ret |= data[offset + i];
            }

            return ret;
        }
    }
}
